| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Enumerations
url.h File Reference

## Classes

class | wxURL
| wxURL is a specialization of wxURI for parsing URLs. More...

## Enumerations

enum | wxURLError { wxURL_NOERR = 0, wxURL_SNTXERR, wxURL_NOPROTO, wxURL_NOHOST, wxURL_NOPATH, wxURL_CONNERR, wxURL_PROTOERR }
| Error types returned from wxURL::GetError(). More...

## Enumeration Type Documentation

enum wxURLError

Error types returned from wxURL::GetError().

Enumerator
wxURL_NOERR | No error.
wxURL_SNTXERR | Syntax error in the URL string.
wxURL_NOPROTO | Found no protocol which can get this URL.
wxURL_NOHOST | A host name is required for this protocol.
wxURL_NOPATH | A path is required for this protocol.
wxURL_CONNERR | Connection error.
wxURL_PROTOERR | An error occurred during negotiation.